<?php
/* Autor...:  */
/* Esquema.: ALM_TransaccionCabecera.xml */
/* Generado: 2021-11-05 13:49:02 */

/* Metodos de acceso a los campos de la tabla ALM_TransaccionCabecera */
abstract class BaseALM_TransaccionCabeceraBN
{
    /* Campos de la tabla */
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_IdTipoDocumento;    // IdTipoDocumento: ( no definido )
    private $s_IdNumeroDocumento;    // IdNumeroDocumento: ( no definido )
    private $s_IdTransaccion;    // IdTransaccion: ( no definido )
    private $s_AlmacenTraslado;    // AlmacenTraslado: ( no definido )
    private $s_IdAlmacen;    // IdAlmacen: ( no definido )
    private $s_IdTransaccionOperacion;    // IdTransaccionOperacion: ( no definido )
    private $d_FechaDocumento;    // FechaDocumento: ( no definido )
    private $f_TipodeCambio;    // TipodeCambio: ( no definido )
    private $s_MonedaCod;    // MonedaCod: ( no definido )
    private $s_Periodo;    // Periodo: ( no definido )
    private $s_PeriodoAnulacion;    // PeriodoAnulacion: ( no definido )
    private $s_Voucher;    // Voucher: ( no definido )
    private $s_CentroCostoConsumo;    // CentroCostoConsumo: ( no definido )
    private $s_ReferenciaTipoDocumento;    // ReferenciaTipoDocumento: ( no definido )
    private $s_ReferenciaNumeroDocumento;    // ReferenciaNumeroDocumento: ( no definido )
    private $s_GuiaProveedor;    // GuiaProveedor: ( no definido )
    private $s_ReferenciaNumeroInterno;    // ReferenciaNumeroInterno: ( no definido )
    private $s_ReferenciaInterno;    // ReferenciaInterno: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $i_IdProyecto;    // IdProyecto: ( no definido )
    private $s_CodigoCliente;    // CodigoCliente: ( no definido )
    private $s_CodigoProveedor;    // CodigoProveedor: ( no definido )
    private $s_TipoDocumentoFiscal;    // TipoDocumentoFiscal: ( no definido )
    private $s_SerieDocumentoFiscal;    // SerieDocumentoFiscal: ( no definido )
    private $s_NumeroDocumentoFiscal;    // NumeroDocumentoFiscal: ( no definido )
    private $i_Transportista;    // Transportista: ( no definido )
    private $s_ControlEstadoSerie;    // ControlEstadoSerie: ( no definido )
    private $s_MotivoDevolucion;    // MotivoDevolucion: ( no definido )
    private $s_UnidadNegocio;    // UnidadNegocio: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_CompaniaDescripcion;    // CompaniaDescripcion: ( no definido )
    private $u_Comentario;    // Comentario: ( no definido )

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo IdTipoDocumento */
    public function setIdTipoDocumento( $s_IdTipoDocumento )
    {
        $this->s_IdTipoDocumento = $s_IdTipoDocumento;
    }

    /* Obtiene el valor del campo IdTipoDocumento */
    public function getIdTipoDocumento()
    {
        return $this->s_IdTipoDocumento;
    }

    /* Establece el valor del campo IdNumeroDocumento */
    public function setIdNumeroDocumento( $s_IdNumeroDocumento )
    {
        $this->s_IdNumeroDocumento = $s_IdNumeroDocumento;
    }

    /* Obtiene el valor del campo IdNumeroDocumento */
    public function getIdNumeroDocumento()
    {
        return $this->s_IdNumeroDocumento;
    }

    /* Establece el valor del campo IdTransaccion */
    public function setIdTransaccion( $s_IdTransaccion )
    {
        $this->s_IdTransaccion = $s_IdTransaccion;
    }

    /* Obtiene el valor del campo IdTransaccion */
    public function getIdTransaccion()
    {
        return $this->s_IdTransaccion;
    }

    /* Establece el valor del campo AlmacenTraslado */
    public function setAlmacenTraslado( $s_AlmacenTraslado )
    {
        $this->s_AlmacenTraslado = $s_AlmacenTraslado;
    }

    /* Obtiene el valor del campo AlmacenTraslado */
    public function getAlmacenTraslado()
    {
        return $this->s_AlmacenTraslado;
    }

    /* Establece el valor del campo IdAlmacen */
    public function setIdAlmacen( $s_IdAlmacen )
    {
        $this->s_IdAlmacen = $s_IdAlmacen;
    }

    /* Obtiene el valor del campo IdAlmacen */
    public function getIdAlmacen()
    {
        return $this->s_IdAlmacen;
    }

    /* Establece el valor del campo IdTransaccionOperacion */
    public function setIdTransaccionOperacion( $s_IdTransaccionOperacion )
    {
        $this->s_IdTransaccionOperacion = $s_IdTransaccionOperacion;
    }

    /* Obtiene el valor del campo IdTransaccionOperacion */
    public function getIdTransaccionOperacion()
    {
        return $this->s_IdTransaccionOperacion;
    }

    /* Establece el valor del campo FechaDocumento */
    public function setFechaDocumento( $d_FechaDocumento )
    {
        $this->d_FechaDocumento = $d_FechaDocumento;
    }

    /* Obtiene el valor del campo FechaDocumento */
    public function getFechaDocumento()
    {
        return $this->d_FechaDocumento;
    }

    /* Establece el valor del campo TipodeCambio */
    public function setTipodeCambio( $f_TipodeCambio )
    {
        $this->f_TipodeCambio = $f_TipodeCambio;
    }

    /* Obtiene el valor del campo TipodeCambio */
    public function getTipodeCambio()
    {
        return $this->f_TipodeCambio;
    }

    /* Establece el valor del campo MonedaCod */
    public function setMonedaCod( $s_MonedaCod )
    {
        $this->s_MonedaCod = $s_MonedaCod;
    }

    /* Obtiene el valor del campo MonedaCod */
    public function getMonedaCod()
    {
        return $this->s_MonedaCod;
    }

    /* Establece el valor del campo Periodo */
    public function setPeriodo( $s_Periodo )
    {
        $this->s_Periodo = $s_Periodo;
    }

    /* Obtiene el valor del campo Periodo */
    public function getPeriodo()
    {
        return $this->s_Periodo;
    }

    /* Establece el valor del campo PeriodoAnulacion */
    public function setPeriodoAnulacion( $s_PeriodoAnulacion )
    {
        $this->s_PeriodoAnulacion = $s_PeriodoAnulacion;
    }

    /* Obtiene el valor del campo PeriodoAnulacion */
    public function getPeriodoAnulacion()
    {
        return $this->s_PeriodoAnulacion;
    }

    /* Establece el valor del campo Voucher */
    public function setVoucher( $s_Voucher )
    {
        $this->s_Voucher = $s_Voucher;
    }

    /* Obtiene el valor del campo Voucher */
    public function getVoucher()
    {
        return $this->s_Voucher;
    }

    /* Establece el valor del campo CentroCostoConsumo */
    public function setCentroCostoConsumo( $s_CentroCostoConsumo )
    {
        $this->s_CentroCostoConsumo = $s_CentroCostoConsumo;
    }

    /* Obtiene el valor del campo CentroCostoConsumo */
    public function getCentroCostoConsumo()
    {
        return $this->s_CentroCostoConsumo;
    }

    /* Establece el valor del campo ReferenciaTipoDocumento */
    public function setReferenciaTipoDocumento( $s_ReferenciaTipoDocumento )
    {
        $this->s_ReferenciaTipoDocumento = $s_ReferenciaTipoDocumento;
    }

    /* Obtiene el valor del campo ReferenciaTipoDocumento */
    public function getReferenciaTipoDocumento()
    {
        return $this->s_ReferenciaTipoDocumento;
    }

    /* Establece el valor del campo ReferenciaNumeroDocumento */
    public function setReferenciaNumeroDocumento( $s_ReferenciaNumeroDocumento )
    {
        $this->s_ReferenciaNumeroDocumento = $s_ReferenciaNumeroDocumento;
    }

    /* Obtiene el valor del campo ReferenciaNumeroDocumento */
    public function getReferenciaNumeroDocumento()
    {
        return $this->s_ReferenciaNumeroDocumento;
    }

    /* Establece el valor del campo GuiaProveedor */
    public function setGuiaProveedor( $s_GuiaProveedor )
    {
        $this->s_GuiaProveedor = $s_GuiaProveedor;
    }

    /* Obtiene el valor del campo GuiaProveedor */
    public function getGuiaProveedor()
    {
        return $this->s_GuiaProveedor;
    }

    /* Establece el valor del campo ReferenciaNumeroInterno */
    public function setReferenciaNumeroInterno( $s_ReferenciaNumeroInterno )
    {
        $this->s_ReferenciaNumeroInterno = $s_ReferenciaNumeroInterno;
    }

    /* Obtiene el valor del campo ReferenciaNumeroInterno */
    public function getReferenciaNumeroInterno()
    {
        return $this->s_ReferenciaNumeroInterno;
    }

    /* Establece el valor del campo ReferenciaInterno */
    public function setReferenciaInterno( $s_ReferenciaInterno )
    {
        $this->s_ReferenciaInterno = $s_ReferenciaInterno;
    }

    /* Obtiene el valor del campo ReferenciaInterno */
    public function getReferenciaInterno()
    {
        return $this->s_ReferenciaInterno;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo IdProyecto */
    public function setIdProyecto( $i_IdProyecto )
    {
        $this->i_IdProyecto = $i_IdProyecto;
    }

    /* Obtiene el valor del campo IdProyecto */
    public function getIdProyecto()
    {
        return $this->i_IdProyecto;
    }

    /* Establece el valor del campo CodigoCliente */
    public function setCodigoCliente( $s_CodigoCliente )
    {
        $this->s_CodigoCliente = $s_CodigoCliente;
    }

    /* Obtiene el valor del campo CodigoCliente */
    public function getCodigoCliente()
    {
        return $this->s_CodigoCliente;
    }

    /* Establece el valor del campo CodigoProveedor */
    public function setCodigoProveedor( $s_CodigoProveedor )
    {
        $this->s_CodigoProveedor = $s_CodigoProveedor;
    }

    /* Obtiene el valor del campo CodigoProveedor */
    public function getCodigoProveedor()
    {
        return $this->s_CodigoProveedor;
    }

    /* Establece el valor del campo TipoDocumentoFiscal */
    public function setTipoDocumentoFiscal( $s_TipoDocumentoFiscal )
    {
        $this->s_TipoDocumentoFiscal = $s_TipoDocumentoFiscal;
    }

    /* Obtiene el valor del campo TipoDocumentoFiscal */
    public function getTipoDocumentoFiscal()
    {
        return $this->s_TipoDocumentoFiscal;
    }

    /* Establece el valor del campo SerieDocumentoFiscal */
    public function setSerieDocumentoFiscal( $s_SerieDocumentoFiscal )
    {
        $this->s_SerieDocumentoFiscal = $s_SerieDocumentoFiscal;
    }

    /* Obtiene el valor del campo SerieDocumentoFiscal */
    public function getSerieDocumentoFiscal()
    {
        return $this->s_SerieDocumentoFiscal;
    }

    /* Establece el valor del campo NumeroDocumentoFiscal */
    public function setNumeroDocumentoFiscal( $s_NumeroDocumentoFiscal )
    {
        $this->s_NumeroDocumentoFiscal = $s_NumeroDocumentoFiscal;
    }

    /* Obtiene el valor del campo NumeroDocumentoFiscal */
    public function getNumeroDocumentoFiscal()
    {
        return $this->s_NumeroDocumentoFiscal;
    }

    /* Establece el valor del campo Transportista */
    public function setTransportista( $i_Transportista )
    {
        $this->i_Transportista = $i_Transportista;
    }

    /* Obtiene el valor del campo Transportista */
    public function getTransportista()
    {
        return $this->i_Transportista;
    }

    /* Establece el valor del campo ControlEstadoSerie */
    public function setControlEstadoSerie( $s_ControlEstadoSerie )
    {
        $this->s_ControlEstadoSerie = $s_ControlEstadoSerie;
    }

    /* Obtiene el valor del campo ControlEstadoSerie */
    public function getControlEstadoSerie()
    {
        return $this->s_ControlEstadoSerie;
    }

    /* Establece el valor del campo MotivoDevolucion */
    public function setMotivoDevolucion( $s_MotivoDevolucion )
    {
        $this->s_MotivoDevolucion = $s_MotivoDevolucion;
    }

    /* Obtiene el valor del campo MotivoDevolucion */
    public function getMotivoDevolucion()
    {
        return $this->s_MotivoDevolucion;
    }

    /* Establece el valor del campo UnidadNegocio */
    public function setUnidadNegocio( $s_UnidadNegocio )
    {
        $this->s_UnidadNegocio = $s_UnidadNegocio;
    }

    /* Obtiene el valor del campo UnidadNegocio */
    public function getUnidadNegocio()
    {
        return $this->s_UnidadNegocio;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo CompaniaDescripcion */
    public function setCompaniaDescripcion( $s_CompaniaDescripcion )
    {
        $this->s_CompaniaDescripcion = $s_CompaniaDescripcion;
    }

    /* Obtiene el valor del campo CompaniaDescripcion */
    public function getCompaniaDescripcion()
    {
        return $this->s_CompaniaDescripcion;
    }

    /* Establece el valor del campo Comentario */
    public function setComentario( $u_Comentario )
    {
        $this->u_Comentario = $u_Comentario;
    }

    /* Obtiene el valor del campo Comentario */
    public function getComentario()
    {
        return $this->u_Comentario;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCompania' => $this->getIdCompania(),
            'IdSucursal' => $this->getIdSucursal(),
            'IdTipoDocumento' => $this->getIdTipoDocumento(),
            'IdNumeroDocumento' => $this->getIdNumeroDocumento(),
            'IdTransaccion' => $this->getIdTransaccion(),
            'AlmacenTraslado' => $this->getAlmacenTraslado(),
            'IdAlmacen' => $this->getIdAlmacen(),
            'IdTransaccionOperacion' => $this->getIdTransaccionOperacion(),
            'FechaDocumento' => $this->getFechaDocumento(),
            'TipodeCambio' => $this->getTipodeCambio(),
            'MonedaCod' => $this->getMonedaCod(),
            'Periodo' => $this->getPeriodo(),
            'PeriodoAnulacion' => $this->getPeriodoAnulacion(),
            'Voucher' => $this->getVoucher(),
            'CentroCostoConsumo' => $this->getCentroCostoConsumo(),
            'ReferenciaTipoDocumento' => $this->getReferenciaTipoDocumento(),
            'ReferenciaNumeroDocumento' => $this->getReferenciaNumeroDocumento(),
            'GuiaProveedor' => $this->getGuiaProveedor(),
            'ReferenciaNumeroInterno' => $this->getReferenciaNumeroInterno(),
            'ReferenciaInterno' => $this->getReferenciaInterno(),
            'Descripcion' => $this->getDescripcion(),
            'IdProyecto' => $this->getIdProyecto(),
            'CodigoCliente' => $this->getCodigoCliente(),
            'CodigoProveedor' => $this->getCodigoProveedor(),
            'TipoDocumentoFiscal' => $this->getTipoDocumentoFiscal(),
            'SerieDocumentoFiscal' => $this->getSerieDocumentoFiscal(),
            'NumeroDocumentoFiscal' => $this->getNumeroDocumentoFiscal(),
            'Transportista' => $this->getTransportista(),
            'ControlEstadoSerie' => $this->getControlEstadoSerie(),
            'MotivoDevolucion' => $this->getMotivoDevolucion(),
            'UnidadNegocio' => $this->getUnidadNegocio(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'CompaniaDescripcion' => $this->getCompaniaDescripcion(),
            'Comentario' => $this->getComentario(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_TransaccionCabeceraBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_TransaccionCabeceraRs )
    {
        $o_ALM_TransaccionCabeceraBN = new ALM_TransaccionCabeceraBN();
        $o_ALM_TransaccionCabeceraBN->setIdCompania( ( integer ) $o_ALM_TransaccionCabeceraRs[ "IdCompania" ] );
        $o_ALM_TransaccionCabeceraBN->setIdSucursal( ( integer ) $o_ALM_TransaccionCabeceraRs[ "IdSucursal" ] );
        $o_ALM_TransaccionCabeceraBN->setIdTipoDocumento( $o_ALM_TransaccionCabeceraRs[ "IdTipoDocumento" ] );
        $o_ALM_TransaccionCabeceraBN->setIdNumeroDocumento( $o_ALM_TransaccionCabeceraRs[ "IdNumeroDocumento" ] );
        $o_ALM_TransaccionCabeceraBN->setIdTransaccion( $o_ALM_TransaccionCabeceraRs[ "IdTransaccion" ] );
        $o_ALM_TransaccionCabeceraBN->setAlmacenTraslado( $o_ALM_TransaccionCabeceraRs[ "AlmacenTraslado" ] );
        $o_ALM_TransaccionCabeceraBN->setIdAlmacen( $o_ALM_TransaccionCabeceraRs[ "IdAlmacen" ] );
        $o_ALM_TransaccionCabeceraBN->setIdTransaccionOperacion( $o_ALM_TransaccionCabeceraRs[ "IdTransaccionOperacion" ] );
        $o_ALM_TransaccionCabeceraBN->setFechaDocumento( utilTimestamp::getTimestamp( $o_ALM_TransaccionCabeceraRs[ "FechaDocumento" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransaccionCabeceraBN->setTipodeCambio( ( float ) $o_ALM_TransaccionCabeceraRs[ "TipodeCambio" ] );
        $o_ALM_TransaccionCabeceraBN->setMonedaCod( $o_ALM_TransaccionCabeceraRs[ "MonedaCod" ] );
        $o_ALM_TransaccionCabeceraBN->setPeriodo( $o_ALM_TransaccionCabeceraRs[ "Periodo" ] );
        $o_ALM_TransaccionCabeceraBN->setPeriodoAnulacion( $o_ALM_TransaccionCabeceraRs[ "PeriodoAnulacion" ] );
        $o_ALM_TransaccionCabeceraBN->setVoucher( $o_ALM_TransaccionCabeceraRs[ "Voucher" ] );
        $o_ALM_TransaccionCabeceraBN->setCentroCostoConsumo( $o_ALM_TransaccionCabeceraRs[ "CentroCostoConsumo" ] );
        $o_ALM_TransaccionCabeceraBN->setReferenciaTipoDocumento( $o_ALM_TransaccionCabeceraRs[ "ReferenciaTipoDocumento" ] );
        $o_ALM_TransaccionCabeceraBN->setReferenciaNumeroDocumento( $o_ALM_TransaccionCabeceraRs[ "ReferenciaNumeroDocumento" ] );
        $o_ALM_TransaccionCabeceraBN->setGuiaProveedor( $o_ALM_TransaccionCabeceraRs[ "GuiaProveedor" ] );
        $o_ALM_TransaccionCabeceraBN->setReferenciaNumeroInterno( $o_ALM_TransaccionCabeceraRs[ "ReferenciaNumeroInterno" ] );
        $o_ALM_TransaccionCabeceraBN->setReferenciaInterno( $o_ALM_TransaccionCabeceraRs[ "ReferenciaInterno" ] );
        $o_ALM_TransaccionCabeceraBN->setDescripcion( $o_ALM_TransaccionCabeceraRs[ "Descripcion" ] );
        $o_ALM_TransaccionCabeceraBN->setIdProyecto( ( integer ) $o_ALM_TransaccionCabeceraRs[ "IdProyecto" ] );
        $o_ALM_TransaccionCabeceraBN->setCodigoCliente( $o_ALM_TransaccionCabeceraRs[ "CodigoCliente" ] );
        $o_ALM_TransaccionCabeceraBN->setCodigoProveedor( $o_ALM_TransaccionCabeceraRs[ "CodigoProveedor" ] );
        $o_ALM_TransaccionCabeceraBN->setTipoDocumentoFiscal( $o_ALM_TransaccionCabeceraRs[ "TipoDocumentoFiscal" ] );
        $o_ALM_TransaccionCabeceraBN->setSerieDocumentoFiscal( $o_ALM_TransaccionCabeceraRs[ "SerieDocumentoFiscal" ] );
        $o_ALM_TransaccionCabeceraBN->setNumeroDocumentoFiscal( $o_ALM_TransaccionCabeceraRs[ "NumeroDocumentoFiscal" ] );
        $o_ALM_TransaccionCabeceraBN->setTransportista( ( integer ) $o_ALM_TransaccionCabeceraRs[ "Transportista" ] );
        $o_ALM_TransaccionCabeceraBN->setControlEstadoSerie( $o_ALM_TransaccionCabeceraRs[ "ControlEstadoSerie" ] );
        $o_ALM_TransaccionCabeceraBN->setMotivoDevolucion( $o_ALM_TransaccionCabeceraRs[ "MotivoDevolucion" ] );
        $o_ALM_TransaccionCabeceraBN->setUnidadNegocio( $o_ALM_TransaccionCabeceraRs[ "UnidadNegocio" ] );
        $o_ALM_TransaccionCabeceraBN->setUsuarioModificacion( $o_ALM_TransaccionCabeceraRs[ "UsuarioModificacion" ] );
        $o_ALM_TransaccionCabeceraBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_ALM_TransaccionCabeceraRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransaccionCabeceraBN->setUsuarioCreacion( $o_ALM_TransaccionCabeceraRs[ "UsuarioCreacion" ] );
        $o_ALM_TransaccionCabeceraBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_ALM_TransaccionCabeceraRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_TransaccionCabeceraBN->setCompaniaDescripcion( $o_ALM_TransaccionCabeceraRs[ "CompaniaDescripcion" ] );
        $o_ALM_TransaccionCabeceraBN->setComentario( $o_ALM_TransaccionCabeceraRs[ "Comentario" ] );
        return $o_ALM_TransaccionCabeceraBN;
    }
}
?>